Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057964 - 'XML error: bond interface misses the bond element' and virt-manager's UI interface disabled when try to stop a bond through virt-manager.
Summary: 'XML error: bond interface misses the bond element' and virt-manager's UI int...
Keywords:
Status: CLOSED DUPLICATE of bug 878394
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: netcf
Version: 7.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Laine Stump
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 786694
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-26 08:15 UTC by CongDong
Modified: 2014-08-13 21:25 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 786694
Environment:
Last Closed: 2014-08-13 21:25:29 UTC


Attachments (Terms of Use)

Comment 2 Martin Kletzander 2014-01-27 07:20:01 UTC
Please use the proper component when duplicating the bug as I think this will again be a problem of netcf.  I'm changing the component, feel free to change it back in case you've got ani information to support that change.

Comment 3 Laine Stump 2014-01-29 11:14:28 UTC
Actually the BZ that was cloned was against virt-manager; it is about virt-manager's response to the error, rather than the error itself.

The bug filed against libvirt (then moved to the upstream libvirt tracker) was Bug 786696. Unfortunately, moving it to the upstream tracker removes it from the immediate radar, making it essentially invisible.

So, either the wrong BZ was cloned to RHEL7 (i.e. this should have been a clone of Bug 786696) in which case netcf would be the correct component, or this BZ really should be assigned to virt-manager.

Comment 4 Martin Kletzander 2014-01-29 14:49:33 UTC
(In reply to Laine Stump from comment #3)
Actually the UI is disabled because the error dialog is modal.  When the dialog is closed, virt-manager operates normally.  Unfortunately, there is no way to virt-manager to react anyhow differently; when call to a libvirt function fails with an error, we just show it to the user.

Comment 5 Laine Stump 2014-08-13 21:25:29 UTC
This ended up being a problem in libvirt, which would insist on getting live status of a bond interface even when the interface was inactive. Since an inactive bond has no slaves, none would be reported in the returned XML, but libvirt's XML parser required a <bond> element, so would generate an error.

The details of the libvirt commit fixing the bug are in Bug 878394, and this is a duplicate of that bug.

*** This bug has been marked as a duplicate of bug 878394 ***


Note You need to log in before you can comment on or make changes to this bug.